## rust-cotp 1.9.2

=== requirements.txt ===
astroid
attrs
iniconfig
isort
lazy-object-proxy
mccabe
packaging
pluggy
py
pylint
pyparsing
pytest
six
toml
wrapt
requests

=== debian/changelog ===
rust-cotp (1.9.2-3) unstable; urgency=medium

  * Team upload.
  * Package cotp 1.9.2 from crates.io using debcargo 2.7.10

 -- James McCoy <jamessan@debian.org>  Sat, 27 Sep 2025 14:56:44 -0400

rust-cotp (1.9.2-2) experimental; urgency=medium

  * Team upload.
  * Package cotp 1.9.2 from crates.io using debcargo 2.7.10
  * Relax crossterm dependency to support versions >= 0.27, < 0.30

 -- James McCoy <jamessan@debian.org>  Thu, 25 Sep 2025 21:11:24 -0400

rust-cotp (1.9.2-1) unstable; urgency=medium

  * Initial upload (Closes: #1066826)
  * Package cotp 1.9.2 from crates.io using debcargo 2.7.5

 -- Vivek K J <vivekkj@disroot.org>  Mon, 23 Dec 2024 17:48:53 +0100

=== debian/control ===
Source: rust-cotp
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-aes-gcm-0.10+default-dev (>= 0.10.3-~~),
 librust-base64-0.22+default-dev (>= 0.22.1-~~),
 librust-chacha20poly1305-0.10+default-dev (>= 0.10.1-~~),
 librust-clap-4+default-dev (>= 4.5.16-~~),
 librust-clap-4+derive-dev (>= 4.5.16-~~),
 librust-color-eyre-0.6+default-dev (>= 0.6.3-~~),
 librust-copypasta-ext-0.4+default-dev (>= 0.4.4-~~),
 librust-crossterm+default-dev (<< 0.30-~~),
 librust-crossterm+default-dev (>= 0.27.0-~~),
 librust-data-encoding-2+default-dev (>= 2.5.0-~~),
 librust-derive-builder-0.20+default-dev (>= 0.20.1-~~),
 librust-dirs-5+default-dev (>= 5.0.1-~~),
 librust-enum-dispatch-0.3+default-dev (>= 0.3.13-~~),
 librust-getrandom-0.2+default-dev (>= 0.2.12-~~),
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-hmac-0.12+default-dev (>= 0.12.1-~~),
 librust-md-5-0.10+default-dev (>= 0.10.6-~~),
 librust-qrcode-0.14+default-dev (>= 0.14.1-~~),
 librust-ratatui-0.28+all-widgets-dev (>= 0.28.1-~~),
 librust-ratatui-0.28+default-dev (>= 0.28.1-~~),
 librust-rpassword-7+default-dev (>= 7.2.0-~~),
 librust-rust-argon2-2+default-dev (>= 2.1.0-~~),
 librust-scrypt-0.11+default-dev,
 librust-serde-1+default-dev (>= 1.0.214-~~),
 librust-serde-1+derive-dev (>= 1.0.214-~~),
 librust-serde-json-1+default-dev (>= 1.0.132-~~),
 librust-sha1-0.10+default-dev (>= 0.10.6-~~),
 librust-sha2-0.10+default-dev (>= 0.10.8-~~),
 librust-url-2+default-dev (>= 2.5.2-~~),
 librust-urlencoding-2+default-dev (>= 2.1.3-~~),
 librust-zeroize-1+default-dev (>= 1.8.1-~~),
 librust-zeroize-1+zeroize-derive-dev (>= 1.8.1-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Vivek K J <vivekkj@disroot.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cotp]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cotp
Homepage: https://github.com/replydev/cotp
X-Cargo-Crate: cotp
Rules-Requires-Root: no

Package: cotp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Trustworthy, encrypted, command-line TOTP/HOTP authenticator app with import functionality.
 cotp is a  command-line TOTP/HOTP authenticator app featuring:
 .
  * encrypted TOTP/HOTP Authenticator
  * import functionality
  * a user-friendly command-line interface.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cotp-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cotp .*/crates/cotp/@ANY_VERSION@/download

## rust-cotp 1.9.7

=== debian/changelog ===
rust-cotp (1.9.7-1) unstable; urgency=medium

  * Team upload.
  * Package cotp 1.9.7 from crates.io using debcargo 2.7.11
  * Stop patching clap, data-encoding and getrandom dependencies.
  * Relax crossterm dependency to allow both 0.28 and 0.29
  * Relax dirs dependency to allow both 5 and 6
  * Adjust crossterm dependency patching for new upstream.
  * Add patch to support both versions 2 and 3 of argon2
  * Revert upstream switch to getrandom 3, unfortunately it does not seem
    practical to support both versions 2 and 3.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 26 Dec 2025 12:23:56 +0000

=== debian/control ===
--- 
+++ 
@@ -9,32 +9,38 @@
  librust-aes-gcm-0.10+default-dev (>= 0.10.3-~~),
  librust-base64-0.22+default-dev (>= 0.22.1-~~),
  librust-chacha20poly1305-0.10+default-dev (>= 0.10.1-~~),
- librust-clap-4+default-dev (>= 4.5.16-~~),
- librust-clap-4+derive-dev (>= 4.5.16-~~),
- librust-color-eyre-0.6+default-dev (>= 0.6.3-~~),
+ librust-clap-4+default-dev (>= 4.5.42-~~),
+ librust-clap-4+derive-dev (>= 4.5.42-~~),
+ librust-color-eyre-0.6+default-dev (>= 0.6.5-~~),
  librust-copypasta-ext-0.4+default-dev (>= 0.4.4-~~),
  librust-crossterm+default-dev (<< 0.30-~~),
- librust-crossterm+default-dev (>= 0.27.0-~~),
- librust-data-encoding-2+default-dev (>= 2.5.0-~~),
+ librust-crossterm+default-dev (>= 0.28.1-~~),
+ librust-data-encoding-2+default-dev (>= 2.9.0-~~),
  librust-derive-builder-0.20+default-dev (>= 0.20.1-~~),
- librust-dirs-5+default-dev (>= 5.0.1-~~),
+ librust-dirs+default-dev (<< 7-~~),
+ librust-dirs+default-dev (>= 5.0.1-~~),
  librust-enum-dispatch-0.3+default-dev (>= 0.3.13-~~),
- librust-getrandom-0.2+default-dev (>= 0.2.12-~~),
+ librust-getrandom-0.2+default-dev (<< 0.2.16-~~),
+ librust-getrandom-0.2+default-dev (>= 0.2.15-~~),
+ librust-globset-0.4+default-dev (>= 0.4.16-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-hmac-0.12+default-dev (>= 0.12.1-~~),
  librust-md-5-0.10+default-dev (>= 0.10.6-~~),
  librust-qrcode-0.14+default-dev (>= 0.14.1-~~),
- librust-ratatui-0.28+all-widgets-dev (>= 0.28.1-~~),
- librust-ratatui-0.28+default-dev (>= 0.28.1-~~),
- librust-rpassword-7+default-dev (>= 7.2.0-~~),
- librust-rust-argon2-2+default-dev (>= 2.1.0-~~),
+ librust-ratatui+all-widgets-dev (<< 0.30-~~),
+ librust-ratatui+all-widgets-dev (>= 0.28.1-~~),
+ librust-ratatui+default-dev (<< 0.30-~~),
+ librust-ratatui+default-dev (>= 0.28.1-~~),
+ librust-rpassword-7+default-dev (>= 7.3.1-~~),
+ librust-rust-argon2+default-dev (<< 4-~~),
+ librust-rust-argon2+default-dev (>= 2.1.0-~~),
  librust-scrypt-0.11+default-dev,
- librust-serde-1+default-dev (>= 1.0.214-~~),
- librust-serde-1+derive-dev (>= 1.0.214-~~),
- librust-serde-json-1+default-dev (>= 1.0.132-~~),
+ librust-serde-1+default-dev (>= 1.0.219-~~),
+ librust-serde-1+derive-dev (>= 1.0.219-~~),
+ librust-serde-json-1+default-dev (>= 1.0.142-~~),
  librust-sha1-0.10+default-dev (>= 0.10.6-~~),
- librust-sha2-0.10+default-dev (>= 0.10.8-~~),
- librust-url-2+default-dev (>= 2.5.2-~~),
+ librust-sha2-0.10+default-dev (>= 0.10.9-~~),
+ librust-url-2+default-dev (>= 2.5.4-~~),
  librust-urlencoding-2+default-dev (>= 2.1.3-~~),
  librust-zeroize-1+default-dev (>= 1.8.1-~~),
  librust-zeroize-1+zeroize-derive-dev (>= 1.8.1-~~)
@@ -46,7 +52,6 @@
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cotp
 Homepage: https://github.com/replydev/cotp
 X-Cargo-Crate: cotp
-Rules-Requires-Root: no
 
 Package: cotp
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cotp
Matching-Pattern:  .*/crates/cotp/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/cotp-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
